/*
 * Copyright 2016 LINE Corporation
 *
 * LINE Corporation licenses this file to you under the Apache License,
 * version 2.0 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at:
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

package com.linecorp.armeria.client.http;

import com.linecorp.armeria.internal.IdleTimeoutHandler;

import io.netty.channel.ChannelHandlerContext;

final class HttpClientIdleTimeoutHandler extends IdleTimeoutHandler {

    HttpClientIdleTimeoutHandler(long idleTimeoutMillis) {
        super("client", idleTimeoutMillis);
    }

    @Override
    protected boolean hasRequestsInProgress(ChannelHandlerContext ctx) {
        return HttpSession.get(ctx.channel()).hasUnfinishedResponses();
    }
}
